Subject: [Syslog] syslog-tls issue 0 (was FW: Evaluation: draft-ietf-netconf-ssh-05.txt to Proposed Standar d)

From: "Rainer Gerhards" <[email-masked]>
Date: Mon, 20 Mar 2006 08:26:33 +0100

Hi all,

the exact same issue (dedicated port or not and if so in which port
range) has been discussed on the netconf mailing list. I encourage
everyone to have a look at their archive. For details on netconf
(including mailing list archive link), please see:

   http://www.ops.ietf.org/netconf/

Below is a forward from the - IMHO - most important message on that
list. This could be our guideline for discussion.

Rainer
> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of Wijnen, Bert (Bert)
> Sent: Sunday, March 19, 2006 6:44 AM
> > 
> > Netconf is at best a 'niche' protocol at present, because:
> > 
> > (a) Netconf currently has no standard data models
> > 
> > (b) Netconf currently is intended for use only with routers and
> >     other intermediate network elements
> > 
> > (c) Netconf operations have fuzzy semantics, due to the lack of any
> >     standard data models (e.g., "merge this blob with that blob")
> > 
> > Therefore, Netconf in not plausibly a critical system service.
> > 
> > An IANA-assigned "Registered Port" (greater than 1024) is 
> appropriate.
> > 
> > The argument that user processes may pre-bind the Netconf 
> port applies
> > equally to an IANA-assigned "Well Known Port" (less than 1024).
> > 
> > I encourage the IETF ADs to intervene here and provide direction.
> > 
> 
> The direction is that:
> 
> - The IESG is OK if the WG wants system ports if they have some 
>   reasonable argument to request so. The stronger the argument,
>   the better.  But a reasonable argument is OK.
> - I think the arguments I have seen pro and against sofar make me
>   tend to agree with selecting <1024. They seem at least reasonable.
>   (I am in the air right now, so I can only comment as to 
> what I have seen
>   up till now).
> - I have seen arguments for using ports above 1024 too. 
>   they are OK but I do not find them as convincing (yet) as the ones
>   in favor fo <1024.
> - I have not seen arguments that point out a fatal problem if we
>   assign below 1024.
> - I find it important that people who have implented (or are 
> implementing)
>   or those who plan to deploy now or within a year are 
> speaking up. Their
>   view counts heavily as far as I am concerned.
> 
> Hope this helps,
> Bert (speaking as AD)
> 

_______________________________________________
Syslog mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/syslog